from uncertainties import ufloat
from uncertainties import unumpy as unp

mu_B   = ufloat((9.27400915e-24,0.000023e-26))    # http://physics.nist.gov/cgi-bin/cuu/Value?mub
k_B    = ufloat((1.3806504e-23,0.0000024e-23))    # http://physics.nist.gov/cgi-bin/cuu/Value?k
e      = ufloat((1.602176487e-19,0.000000040e-19)) # http://physics.nist.gov/cgi-bin/cuu/Value?e

# Sr
#~ J  = ufloat((125,6))    # meV, from http://www.springerlink.com/content/p826h3r520738n52/fulltext.pdf (which actualy cites something else)
#~ TN = ufloat((256.5,1.5)) # K
#~ J = J/1000.*e/k_B

#5BAP Br, http://www.sciencedirect.com/science/article/B6TG5-44FD6V7-1B/2/d69be6b4b8da5a40984962f9d8e2e911
#~ J  = ufloat((6.94,0.06)) # K
#~ TN = ufloat((4.0,0.2)) # K

#La2CuO4
c  = ufloat((0.85,0.03)) #eV/Ang, spin wave velocity http://link.aps.org/doi/10.1103/PhysRevLett.62.2052
a = ufloat((5.375,0.002)) #Ang, lattice parameter a  http://link.aps.org/doi/10.1103/PhysRevLett.62.2052
Ja_over_c = ufloat((1.657,0.002)) #c = 1.657(2)Ja    http://link.aps.org/doi/10.1103/PhysRevLett.80.1742
TN = ufloat((255,5)) # K

J = c/(Ja_over_c*a)*e/k_B


print TN/J